org.eclipse.ui.console

## Interface IPatternMatchListenerDelegate

All Known Subinterfaces:
  IPatternMatchListener

    public interface IPatternMatchListenerDelegate

A pattern match listener delegate is notified of regular expression matches in a text console. A delegate is contributed via the `consolePatternMatcherListeners` extension point.

Clients contributing a console pattern match listener extension are intended to implement this interface.

Since:
  3.1
See Also:
  `IPatternMatchListener`, `TextConsole`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `connect(TextConsole console)` Notification that pattern matching will begin in the specified console.
`void` `disconnect()` Notification that pattern matching has been completed in the console this delegate was last connected to.
`void` `matchFound(PatternMatchEvent event)` Notification that a match has been found.

### Method Detail

#### connect

    void connect(TextConsole console)

Notification that pattern matching will begin in the specified console. A pattern matcher is connected to only one console at a time.

Parameters:
  `console` - the console in which pattern matching will be performed

#### disconnect

    void disconnect()

Notification that pattern matching has been completed in the console this delegate was last connected to.

#### matchFound

    void matchFound(PatternMatchEvent event)

Notification that a match has been found.

Parameters:
  `event` - event describing where the match was found